Subject: bug#75932: [email-masked] builds failing on aarch64-linux

From: Ian Eure <[email-masked]>
Date: Sat, 08 Feb 2025 07:30:45 -0800

close 75932
thanks

Hi Sharlatan,

I rebooted my VM and am no longer able to reproduce the issue, 
even though I hadn’t pulled any newer revisions.  Not sure what 
was going on with this, might be a reproducability bug.

  -- Ian

Sharlatan Hellseher <[email-masked]> writes:

> Hi Ian,
>
> I tried to reproduce it with time-machine and your commit on
> --system=aarch64-linux:
>
> --8<---------------cut 
> here---------------start------------->8---
> guix time-machine 
> --commit=ac103c2eab1a169ca18c88fd0b0d03c7d2e02c9d -- build 
> --system=aarch64-linux go
> <...>
> /gnu/store/3z743aawlgqxww7dhkaap7gwcxjsgviw-go-1.23.5
> /gnu/store/72609ldby63jf84z7qr4f628imnghdd2-go-1.23.5-tests
>
> guix time-machine 
> --commit=ac103c2eab1a169ca18c88fd0b0d03c7d2e02c9d -- build 
> --system=aarch64-linux [email-masked]
> <...>
> /gnu/store/14jpr2l9qbin1bnf1dciyv1f0i3mi25g-go-1.4-bootstrap-20171003-doc
> /gnu/store/szpnxss4sdk6q06cnqi5vvz3y1f5kb4s-go-1.4-bootstrap-20171003
> /gnu/store/x3f04scmkdl4p32md1kvc3xnykz4lwhq-go-1.4-bootstrap-20171003-tests
>
> guix time-machine 
> --commit=ac103c2eab1a169ca18c88fd0b0d03c7d2e02c9d -- shell file 
> -- file 
> /gnu/store/szpnxss4sdk6q06cnqi5vvz3y1f5kb4s-go-1.4-bootstrap-20171003/bin/go
> <...>
> /gnu/store/szpnxss4sdk6q06cnqi5vvz3y1f5kb4s-go-1.4-bootstrap-20171003/bin/go:
> ELF 32-bit LSB executable, ARM, EABI5 version 1 (SYSV), 
> statically
> linked, stripped
>
> guix time-machine 
> --commit=ac103c2eab1a169ca18c88fd0b0d03c7d2e02c9d -- shell file 
> -- file 
> /gnu/store/3z743aawlgqxww7dhkaap7gwcxjsgviw-go-1.23.5/bin/go
> <...>
> /gnu/store/3z743aawlgqxww7dhkaap7gwcxjsgviw-go-1.23.5/bin/go: 
> ELF 64-bit
> LSB executable, ARM aarch64, version 1 (SYSV), statically 
> linked, Go
> BuildID=0eCUv8J6ZCq7sgVVZxvd/PzySMddYip0GeTK6gXT2/fIgm9FAYEjVeYs-FPzTf/q1haDqtswLHqvG5hU8dG,
> stripped
>